PyMethod (Jython API documentation)
Date: 2012-08-13

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core
Class PyMethod

    java.lang.Object
      org.python.core.PyObject
          org.python.core.PyMethod

All Implemented Interfaces:
  Serializable

    public class PyMethod

extends PyObject

A Python method.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.python.core.PyObject
`PyObject.ConversionException`

Field Summary
`PyObject` | `im_class` The class associated with a method.
`PyObject` | `im_func` The function (or other callable) implementing a method.
`PyObject` | `im_self` The instance to which a method is bound; None for unbound methods.
`static PyType` | `TYPE`

Constructor Summary
`PyMethod(PyObject function, PyObject self, PyObject type)`

Method Summary
`PyObject` | `__call__()` A variant of the __call__ method with no arguments.
`PyObject` | `__call__(PyObject arg0)` A variant of the __call__ method with one argument.
`PyObject` | `__call__(PyObject[] args)` A variant of the __call__ method when no keywords are passed.
`PyObject` | `__call__(PyObject[] args, String[] keywords)` The basic method to override when implementing a callable object.
`PyObject` | `__call__(PyObject arg0, PyObject arg1)` A variant of the __call__ method with two arguments.
`PyObject` | `__call__(PyObject arg1, PyObject[] args, String[] keywords)` A variant of the __call__ method with one extra initial argument.
`PyObject` | `__call__(PyObject arg0, PyObject arg1, PyObject arg2)` A variant of the __call__ method with three arguments.
`PyObject` | `__call__(PyObject arg0, PyObject arg1, PyObject arg2, PyObject arg3)` A variant of the __call__ method with four arguments.
`PyObject` | `__call__(ThreadState state)`
`PyObject` | `__call__(ThreadState state, PyObject arg0)`
`PyObject` | `__call__(ThreadState state, PyObject[] args)`
`PyObject` | `__call__(ThreadState state, PyObject[] args, String[] keywords)`
`PyObject` | `__call__(ThreadState state, PyObject arg0, PyObject arg1)`
`PyObject` | `__call__(ThreadState state, PyObject arg1, PyObject[] args, String[] keywords)`
`PyObject` | `__call__(ThreadState state, PyObject arg0, PyObject arg1, PyObject arg2)`
`PyObject` | `__call__(ThreadState state, PyObject arg0, PyObject arg1, PyObject arg2, PyObject arg3)`
`int` | `__cmp__(PyObject other)` Equivalent to the standard Python __cmp__ method.
`PyObject` | `__findattr_ex__(String name)` Attribute lookup hook.
`PyObject` | `__get__(PyObject obj, PyObject type)` Get descriptor for this PyObject.
`PyObject` | `getDoc()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class org.python.core.PyObject
`__abs__, __add__, __and__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __eq__, __findattr__, __findattr__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __ge__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isMappingType, isNumberType, isSequenceType, noAttributeError, readonlyAttributeError, setDict, setType`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final PyType TYPE

### im_class

    public PyObject im_class

  The class associated with a method.

### im_func

    public PyObject im_func

  The function (or other callable) implementing a method.

### im_self

    public PyObject im_self

  The instance to which a method is bound; None for unbound methods.

Constructor Detail

### PyMethod

    public PyMethod(PyObject function,
                    PyObject self,
                    PyObject type)

Method Detail

### __findattr_ex__

    public PyObject __findattr_ex__(String name)

  Description copied from class: `PyObject`
  Attribute lookup hook. If the attribute is not found, null may be returned or a Py.AttributeError can be thrown, whatever is more correct, efficient and/or convenient for the implementing class. Client code should use `PyObject.__getattr__(String)` or `PyObject.__findattr__(String)`. Both methods have a clear policy for failed lookups.

  Overrides:
    `__findattr_ex__` in class `PyObject`
  Returns:
    The looked up value. May return null if the attribute is not found

### __get__

    public PyObject __get__(PyObject obj,
                            PyObject type)

  Description copied from class: `PyObject`
  Get descriptor for this PyObject.

  Overrides:
    `__get__` in class `PyObject`
  Parameters:
    `obj` - - the instance accessing this descriptor. Can be null if this is being accessed by a type.
    `type` - - the type accessing this descriptor. Will be null if obj exists as obj is of the type accessing the descriptor.
  Returns:
    - the object defined for this descriptor for the given obj and type.

### __call__

    public PyObject __call__()

  Description copied from class: `PyObject`
  A variant of the __call__ method with no arguments. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`

### __call__

    public PyObject __call__(ThreadState state)

  Overrides:
    `__call__` in class `PyObject`

### __call__

    public PyObject __call__(PyObject arg0)

  Description copied from class: `PyObject`
  A variant of the __call__ method with one argument. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `arg0` - the single argument to the function.

### __call__

    public PyObject __call__(ThreadState state,
                             PyObject arg0)

  Overrides:
    `__call__` in class `PyObject`

### __call__

    public PyObject __call__(PyObject arg0,
                             PyObject arg1)

  Description copied from class: `PyObject`
  A variant of the __call__ method with two arguments. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `arg0` - the first argument to the function.
    `arg1` - the second argument to the function.

### __call__

    public PyObject __call__(ThreadState state,
                             PyObject arg0,
                             PyObject arg1)

  Overrides:
    `__call__` in class `PyObject`

### __call__

    public PyObject __call__(PyObject arg0,
                             PyObject arg1,
                             PyObject arg2)

  Description copied from class: `PyObject`
  A variant of the __call__ method with three arguments. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `arg0` - the first argument to the function.
    `arg1` - the second argument to the function.
    `arg2` - the third argument to the function.

### __call__

    public PyObject __call__(ThreadState state,
                             PyObject arg0,
                             PyObject arg1,
                             PyObject arg2)

  Overrides:
    `__call__` in class `PyObject`

### __call__

    public PyObject __call__(PyObject arg0,
                             PyObject arg1,
                             PyObject arg2,
                             PyObject arg3)

  Description copied from class: `PyObject`
  A variant of the __call__ method with four arguments. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `arg0` - the first argument to the function.
    `arg1` - the second argument to the function.
    `arg2` - the third argument to the function.
    `arg3` - the fourth argument to the function.

### __call__

    public PyObject __call__(ThreadState state,
                             PyObject arg0,
                             PyObject arg1,
                             PyObject arg2,
                             PyObject arg3)

  Overrides:
    `__call__` in class `PyObject`

### __call__

    public PyObject __call__(PyObject arg1,
                             PyObject[] args,
                             String[] keywords)

  Description copied from class: `PyObject`
  A variant of the __call__ method with one extra initial argument. This variant is used to allow method invocations to be performed efficiently. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `arg1` - the first argument to the function.
    `args` - the last arguments to the function (including keyword arguments).
    `keywords` - the keywords used for all keyword arguments.

### __call__

    public PyObject __call__(ThreadState state,
                             PyObject arg1,
                             PyObject[] args,
                             String[] keywords)

  Overrides:
    `__call__` in class `PyObject`

### __call__

    public PyObject __call__(PyObject[] args)

  Description copied from class: `PyObject`
  A variant of the __call__ method when no keywords are passed. The default behavior is to invoke `__call__(args, keywords)` with the appropriate arguments. The only reason to override this function would be for improved performance.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `args` - all arguments to the function.

### __call__

    public PyObject __call__(ThreadState state,
                             PyObject[] args)

  Overrides:
    `__call__` in class `PyObject`

### __call__

    public PyObject __call__(PyObject[] args,
                             String[] keywords)

  Description copied from class: `PyObject`
  The basic method to override when implementing a callable object. The first len(args)-len(keywords) members of args[] are plain arguments. The last len(keywords) arguments are the values of the keyword arguments.

  Overrides:
    `__call__` in class `PyObject`
  Parameters:
    `args` - all arguments to the function (including keyword arguments).
    `keywords` - the keywords used for all keyword arguments.

### __call__

    public PyObject __call__(ThreadState state,
                             PyObject[] args,
                             String[] keywords)

  Overrides:
    `__call__` in class `PyObject`

### __cmp__

    public int __cmp__(PyObject other)

  Description copied from class: `PyObject`
  Equivalent to the standard Python __cmp__ method.

  Overrides:
    `__cmp__` in class `PyObject`
  Parameters:
    `other` - the object to compare this with.
  Returns:
    -1 if this < o; 0 if this == o; +1 if this > o; -2 if no comparison is implemented

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `PyObject`

### getDoc

    public PyObject getDoc()

### toString

    public String toString()

  Overrides:
    `toString` in class `PyObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage